<?php
function xml_start_element($parser, $name, $attributes) {
	global $api;
	if ($name == 'SUCCESS') {
		// successfull action
		if ($attributes['SALT']) {
			// we got salt
			$login_request_params = array();
			$login_request_params['action'] = 'login';
			$login_request_params['loginMethod'] = 'withSalt';
			$login_request_params['login'] = $api->username;
			$login_request_params['password'] = md5($api->password . $attributes['SALT']);
			
			echo "<br> Salt is " . $attributes['SALT'];
			$api->makeLoginRequest($login_request_params);
		} else if ($attributes['CLIENTID']) {
			// we got session, let's remember our sessionId
			echo "<br>Got session: " . $attributes['CLIENTID'] . "<br>";
			$api->sessionId = $attributes['CLIENTID'];
		} else {
			echo "<br>Success<br>";
		}
	} else if ($name == 'ERROR') {
		// some error 
	} else if ($name == 'IDMAP') {
		// retreive mapping between server and client topic ids
		echo "IdMap: server=\"" . $attributes['SERVER'] . "\" client=\"" . $attributes['CLIENT'] . "\"<br>";
	} else if ($name == 'NOTALLOWED') {
		echo "<br>You're not allowed to make changes on the map";
	} else if ($name == 'USEREXPIRED') {
		echo "<br>User is expired";
	} else if ($name == 'COMMANDFAILURE') {
		echo "<br>Command failed";
	} else if ($name == 'INTERNAL') {
		echo "<br>Internal server error ";
	} else {
		echo "<br>Bad response from server";
	}
}

function xml_character_data_handler($parser, $data) {
	echo $data . "<br>";
}

?>